Get transaction details with batches
curl --request GET \
--url https://sandbox-api.kotanipay.com/api/v3/dashboard/bulk-payments/api/transactions/{transactionId}import requests
url = "https://sandbox-api.kotanipay.com/api/v3/dashboard/bulk-payments/api/transactions/{transactionId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://sandbox-api.kotanipay.com/api/v3/dashboard/bulk-payments/api/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"transactionName": "<string>",
"description": "<string>",
"status": "<string>",
"fileName": "<string>",
"totalBatches": 123,
"totalRecipients": 123,
"totalAmount": 123,
"currencies": [
"<string>"
],
"completedBatches": 123,
"failedBatches": 123,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"batches": [
{
"id": "<string>",
"batchName": "<string>",
"status": "<string>",
"currency": "<string>",
"totalAmount": 123,
"totalPayments": 123,
"successfulPayments": 123,
"failedPayments": 123,
"pendingPayments": 123,
"createdAt": "2023-11-07T05:31:56Z",
"progress": [
{
"step": "<string>",
"status": "<string>",
"message": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"details": {}
}
]
}
]
}Bulk Payments
Get Transaction Details
GET
/
api
/
v3
/
dashboard
/
bulk-payments
/
api
/
transactions
/
{transactionId}
Get transaction details with batches
Get detailed information about a specific bulk payment transaction including all batches.
Path Parameters
Response
200 - application/json
Transaction details retrieved successfully
Transaction ID
Transaction name
Transaction description
Transaction status
File name
Total batches
Total recipients
Total amount
Currencies involved
Completed batches count
Failed batches count
Created date
Created by
Batches in this transaction
Show child attributes
Show child attributes
⌘I